| Avidemux 2.6 Scripting Reference

- Main Page
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Enumerations Enumerator Properties Groups Pages
Public Member Functions | Properties | List of all members
DoubleSpinBoxControl Class Reference

The DoubleSpinBoxControl class provides a spin box widget that takes doubles. More...

Inheritance diagram for DoubleSpinBoxControl:

## Public Member Functions
| DoubleSpinBoxControl (String title, Number minValue, Number maxValue, Number value=0, Number decimals=2)
| Constructs a spin box with the given title, minimum value, maximum value and optional initial value and precision.

## Properties
Number | decimals
| Gets or sets the precision of the spin box, in decimals.
Number | maximumValue
| Gets or sets the maximum value of the spin box.
Number | minimumValue
| Gets or sets the minimum value of the spin box.
String | title
| Gets or sets the title of the spin box.
Number | value
| Gets or sets the value of the spin box.

## Detailed Description

The DoubleSpinBoxControl class provides a spin box widget that takes doubles.

Examples:
  Dialog.admjs.